Skip to main content
POST
Cancel a managed job

Authorizations

Authorization
string
header
required

Synth customer access token for the current user and organization.

Path Parameters

user_id
string<uuid>
required
job_id
string<uuid>
required

Body

application/json

Owner request to atomically cancel cancellable members of one hosted job.

reason
string
default:user_requested
Required string length: 1 - 512

Response

Frozen cancellation outcome, including idempotent replay.

Frozen replayable result of one authoritative hosted-job cancellation.

already_terminal_trials
integer
required
cancelled_trials
integer
required
conflict_trials
integer
required
intended_trials
integer
required
job_id
string<uuid>
required
propagation_pending
integer
required
reason
string
required
replayed
boolean
required
requested_at
string<date-time>
required